> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteroid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List batch job failures

> Retrieve paginated failures for a batch job.



## OpenAPI

````yaml https://api.meteroid.com/api-docs/openapi.json get /api/v1/batch-jobs/{batch_job_id}/failures
openapi: 3.1.0
info:
  title: meteroid
  description: ''
  license:
    name: LicenseRef-Proprietary
    identifier: LicenseRef-Proprietary
  version: 0.1.0
servers: []
security: []
tags:
  - name: Meteroid
    description: Meteroid API
  - name: Add-ons
  - name: Batch Jobs
  - name: Checkout Sessions
  - name: Connect
    description: Manage connected accounts (Express & Standard)
  - name: Coupons
  - name: Credit Notes
  - name: Customers
  - name: Entitlements
  - name: Events
  - name: Features
  - name: Invoices
  - name: Metrics
  - name: OAuth
    description: OAuth 2.0 token endpoints (public, client-credentials auth)
  - name: OAuth Apps
    description: Manage OAuth applications for Connect integrations
  - name: Plans
  - name: Product Families
  - name: Products
  - name: Subscriptions
  - name: Usage
paths:
  /api/v1/batch-jobs/{batch_job_id}/failures:
    get:
      tags:
        - Batch Jobs
      summary: List batch job failures
      description: Retrieve paginated failures for a batch job.
      operationId: list_batch_job_failures
      parameters:
        - name: batch_job_id
          in: path
          description: Batch job ID
          required: true
          schema:
            $ref: '#/components/schemas/BatchJobId'
        - name: chunk_id
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/BatchJobChunkId'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
      responses:
        '200':
          description: List of failures
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchJobFailuresResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '404':
          description: Batch job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    BatchJobId:
      type: string
      format: MeteroidId
      examples:
        - bjob_7n42DGM5Tflk9n8mt7Fhc7
    BatchJobChunkId:
      type: string
      format: MeteroidId
      examples:
        - bjch_7n42DGM5Tflk9n8mt7Fhc7
    BatchJobFailuresResponse:
      type: object
      required:
        - data
        - total_count
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BatchJobItemFailureResponse'
        total_count:
          type: integer
          format: int64
    RestErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
    BatchJobItemFailureResponse:
      type: object
      required:
        - id
        - chunk_id
        - item_index
        - reason
      properties:
        chunk_id:
          $ref: '#/components/schemas/BatchJobChunkId'
        id:
          type: string
          format: uuid
        item_identifier:
          type:
            - string
            - 'null'
        item_index:
          type: integer
          format: int32
        reason:
          type: string
    ErrorCode:
      type: string
      enum:
        - BAD_REQUEST
        - NOT_FOUND
        - CONFLICT
        - FORBIDDEN
        - UNAUTHORIZED
        - TOO_MANY_REQUESTS
        - INTERNAL_SERVER_ERROR
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````